### Method

# Camel DataWrapper set_encoding

since: 3.24

#### Declaration [src]

    void
    camel_data_wrapper_set_encoding (
      CamelDataWrapper* data_wrapper,
      CamelTransferEncoding encoding
    )

#### Description [src]

Sets encoding (`CamelTransferEncoding`) for the `data_wrapper`. It doesn’t re-encode the content, if the encoding changes.

Available since: 3.24

#### Parameters

`encoding`

  Type: `CamelTransferEncoding`

  An encoding to set.